/*
 
 HotKey.h   Copyright  2004 Audun Wilhelmsen
 ---------------------------------------------------------------
 Handles registration and unregistration of system-wide HotKeys
 ---------------------------------------------------------------
 
 This program is free software; you can redistribute it and/or
 modify it under the terms of the GNU General Public License
 as published by the Free Software Foundation; either version 2
 of the License, or (at your option) any later version.
 
 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.
 
 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA
 
 */

#import <Carbon/Carbon.h>
#import <Cocoa/Cocoa.h>
#import "KeyCombo.h"

@interface HotKey : NSObject 
{
	BOOL _registered;
	EventHotKeyRef _carbonRef;
	KeyCombo *_keyCombo;
	id _delegate;
	int _tag;
}

- (BOOL)registerHotKey;
- (void)unregister;
- (BOOL)isRegistered;

- (void)setKeyCombo:(KeyCombo *)combo;
- (KeyCombo *)keyCombo;

- (void)setDelegate:(id)aDelegate;
- (id)delegate;

- (void)setTag:(int)aTag;
- (int)tag;

@end
