/*
 
 KeyCombo.h   Copyright  2004 Audun Wilhelmsen
 ---------------------------------------------------------------
 Class for handling key combinations
 ---------------------------------------------------------------
 
 This program is free software; you can redistribute it and/or
 modify it under the terms of the GNU General Public License
 as published by the Free Software Foundation; either version 2
 of the License, or (at your option) any later version.
 
 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.
 
 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA
 
 */

#import <Cocoa/Cocoa.h>

@interface KeyCombo : NSObject <NSCopying>
{
	int _keycode;
	int _modifiers;
}

+ (BOOL)containsSupportedModifiers:(int)modifiers;
+ (KeyCombo *)keyComboWithDictionaryRepresentation:(NSDictionary *)dictionary;
+ (KeyCombo *)keyComboWithKeyCode:(int)keycode andModifiers:(int)modifiers;

- (id)copyWithZone:(NSZone *)zone;

- (void)setKeyCombo:(int)keycode modifierKeys:(int)modifiers;
- (int)keycode;
- (int)modifierKeys;
- (int)carbonModifierKeys;

- (NSString*)stringRepresentation;
- (NSDictionary *)dictionaryRepresentation;
- (void)setByDictionaryRepresentation:(NSDictionary *)dictionary;

- (BOOL)isCommandSet;
- (BOOL)isOptionSet;
- (BOOL)isControlSet;
- (BOOL)isShiftSet;

- (BOOL)isSet;

@end
